### Method

# EDataServer SourceLocal set_writable

since: 3.34

#### Declaration [src]

    void
    e_source_local_set_writable (
      ESourceLocal* extension,
      gboolean writable
    )

#### Description [src]

Set whether the custom file should be opened in writable mode. The default is `TRUE`. The file can be still opened for read-only, for example when the access to the file is read-only.

Available since: 3.34

Sets property | `EDataServer.SourceLocal:writable`

#### Parameters

`writable`

  Type: `gboolean`

  Value to set.